import { useLocalStore } from 'mobx-react-lite';
import { axios } from '@choerodon/boot';
export default function useStore() {
  return useLocalStore(function () {
    return {
      queryActivateClusterShell: function queryActivateClusterShell(projectId, clusterId) {
        return axios.get("/devops/v1/projects/".concat(projectId, "/clusters/query_shell/").concat(clusterId));
      },
      queryClusterDetail: function queryClusterDetail(projectId, clusterId) {
        return axios.get("devops/v1/projects/".concat(projectId, "/clusters/").concat(clusterId));
      },
      retryCluster: function retryCluster(projectId, clusterId) {
        return axios.post("devops/v1/projects/".concat(projectId, "/clusters/retry_create?cluster_id=").concat(clusterId));
      }
    };
  });
}